Loading...
Searching...
No Matches
uhd::usrp::dboard_id_t Class Reference

`#include <uhd/usrp/dboard_id.hpp>`

Inheritance diagram for uhd::usrp::dboard_id_t:
[legend]
Collaboration diagram for uhd::usrp::dboard_id_t:
[legend]

## Public Member Functions

| dboard_id_t (uint16_t id=0xffff)
uint16_t | to_uint16 (void) const
std::string | to_string (void) const
std::string | to_cname (void) const
std::string | to_pp_string (void) const

## Static Public Member Functions

static dboard_id_t | none (void)
static dboard_id_t | from_uint16 (uint16_t uint16)
static dboard_id_t | from_string (const std::string &string)

## Constructor & Destructor Documentation

## dboard_id_t()

uhd::usrp::dboard_id_t::dboard_id_t | ( | uint16_t | id = 0xffff | ) |

Create a dboard id from an integer.

Parameters

  id | the integer representation

## Member Function Documentation

## from_string()

dboard_id_t uhd::usrp::dboard_id_t::from_string | ( | const std::string & | string | ) |

static

Create a new dboard id from a string representation. If the string has a 0x prefix, it will be parsed as hex.

Parameters

  string | a numeric string, possibly hex

Returns
  a new dboard id containing the integer

## from_uint16()

dboard_id_t uhd::usrp::dboard_id_t::from_uint16 | ( | uint16_t | uint16 | ) |

static

Create a new dboard id from an integer representation.

Parameters

  uint16 | an unsigned 16 bit integer

Returns
  a new dboard id containing the integer

## none()

dboard_id_t uhd::usrp::dboard_id_t::none | ( | void |  | ) |

static

Obtain a dboard id that represents no dboard.

Returns
  the dboard id with the 0xffff id.

## to_cname()

std::string uhd::usrp::dboard_id_t::to_cname | ( | void |  | ) | const

Get the dboard id represented as a canonical name.

Returns
  the canonical string representation

## to_pp_string()

std::string uhd::usrp::dboard_id_t::to_pp_string | ( | void |  | ) | const

Get the pretty print representation of this dboard id.

Returns
  a string with the dboard name and id number

## to_string()

std::string uhd::usrp::dboard_id_t::to_string | ( | void |  | ) | const

Get the dboard id represented as an integer.

Returns
  a hex string representation with 0x prefix

## to_uint16()

uint16_t uhd::usrp::dboard_id_t::to_uint16 | ( | void |  | ) | const

Get the dboard id represented as an integer.

Returns
  an unsigned 16 bit integer representation

The documentation for this class was generated from the following file:

- dboard_id.hpp